#app {
  height: 100vh;
  height: 100dvh;
}

.top-header {
  position: fixed;
  z-index: 5;
  top: 0.16rem;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 0.47rem 0 0.31rem;
  box-sizing: border-box;
  pointer-events: none;
}
.top-header .logo {
  width: 3.51rem;
  height: 1.03rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/logo.png")
    center/contain no-repeat;
  pointer-events: visible;
}
.top-header .right-actions {
  display: flex;
  align-items: center;
  gap: 0.22rem;
  pointer-events: visible;
}
.top-header .right-actions .btn {
  width: 2.39rem;
  height: 0.59rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/header_btn-bg.png")
    center/contain no-repeat;
  font-size: 0.24rem;
  font-weight: bold;
  line-height: 0.59rem;
  color: #efe1d5;
  text-align: center;
}

.outer-swiper {
  width: 100%;
  height: 100%;
}
.outer-swiper > .swiper-wrapper > .swiper-slide.part {
  height: 100vh;
  height: 100dvh;
}

.menu-list {
  position: fixed;
  z-index: 10;
  top: 50%;
  left: 0.04rem;
  transform: translateY(-50%);

  display: flex;
  flex-direction: column;
  gap: 0.01rem;
}
.menu-list::before {
  content: "";
  position: absolute;
  top: -1.09rem;
  left: 0;
  width: 0.22rem;
  height: 6.26rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/4.png") center/cover
    no-repeat;
}
.menu-list .menu-item {
  position: relative;
  cursor: pointer;
  width: 2.09rem;
  height: 0.8rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/6.png") left/contain
    no-repeat;

  transition:
    height 0.2s,
    background-image 0.2s;
}
.menu-list .menu-item .text {
  position: absolute;
  left: 0.55rem;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-size: 0.24rem;
  font-weight: bold;
  letter-spacing: 0.02rem;
  color: #f9e7b8;
}
.menu-list .menu-item.active {
  width: 2.56rem;
  height: 1.06rem;
  background-image: url("https://img.youxi290.com/khm/zhjptmjs/7.png");
  transform: translateX(-0.03rem);
}
.menu-list .menu-item.active .text {
  left: 0.58rem;
}
.menu-fade-enter-active {
  transition: all 0.2s 0.3s;
}
.menu-fade-leave-active {
  transition: all 0.2s;
}
.menu-fade-enter {
  opacity: 0;
  transform: translateY(0.2rem);
}
.menu-fade-enter-to {
  opacity: 1;
}
.menu-fade-leave {
  opacity: 1;
}
.menu-fade-leave-to {
  opacity: 0;
  transform: translateY(0.2rem);
}

.part {
  position: relative;
  height: 100vh;
  background: url("https://img.youxi290.com/khm/zhjptmjs/5.jpg") center/cover
    no-repeat;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.part .part-title {
  height: 1.2rem;
  display: flex;
  align-items: flex-end;
}
.part .part-title img {
  height: 1.95rem;
}

.part .common-swiper-pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.22rem;
  height: 0.24rem;
  bottom: 0 !important;
}
.part .common-swiper-pagination .swiper-pagination-bullet {
  width: 0.16rem;
  height: 0.16rem;
  background-color: #050402;
  border: solid 0.01rem #8f6b5a;
  border-radius: 0;
  box-sizing: border-box;
  margin: 0 !important;
  transform: rotate(45deg);
  transition: all 0.3s;
}
.part
  .common-swiper-pagination
  .swiper-pagination-bullet.swiper-pagination-bullet-active {
  width: 0.24rem;
  height: 0.24rem;
  background-color: #ffde8c;
  box-shadow: 0rem 0rem 0.1rem 0rem #ffa155;
}
.part .common-swiper-arrow {
  --arrow-offset: 0px;
  width: 1.33rem;
  height: 1.47rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/8.png") center/contain
    no-repeat;
  top: 33%;
  margin: 0;
  transition: all 0.3s;
}
.part .common-swiper-arrow:hover {
  transform: scale(1.1);
}
.part .common-swiper-arrow::after {
  display: none;
}
.part .common-swiper-arrow.swiper-button-prev {
  left: var(--arrow-offset);
  background-image: url("https://img.youxi290.com/khm/zhjptmjs/9.png");
}
.part .common-swiper-arrow.swiper-button-next {
  right: var(--arrow-offset);
}

.bottom-tip {
  color: #b38d66;
  margin-top: 0.2rem;
}

.part-1 {
  position: relative;
  background: url("https://img.youxi290.com/khm/zhjptmjs/a_3.jpg") center/cover
    no-repeat;

  display: flex;
  justify-content: center;
  align-items: center;
}
.part-1 .slogan {
  position: absolute;
  width: 12.79rem;
  height: 3.59rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/a_2.png")
    center/contain no-repeat;
}
.part-1 .float-down {
  position: absolute;
  bottom: 0.15rem;
  animation: arrow-down-up 1.5s infinite;

  display: flex;
  flex-direction: column;
  align-items: center;
}
.part-1 .float-down span {
  font-size: 0.16rem;
  line-height: 0.24rem;
  color: #fffffe;
  text-shadow:
    0 0 0.05rem rgba(0, 0, 0, 1),
    0 0 0.1rem rgba(0, 0, 0, 1),
    0 0 0.1rem rgba(0, 0, 0, 1);
}
.part-1 .float-down .arrow {
  width: 0.4rem;
  height: 0.66rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/a_1.png")
    center/contain no-repeat;
}

.part-2 {
}
.part-2 .part-desc {
  width: 9.45rem;
  font-size: 0.16rem;
  line-height: 0.3rem;
  color: #f2a356;
  text-align: center;
}
.part2-swiper {
  width: 100%;
  margin-top: -0.3rem;
  overflow: visible !important;
  padding-bottom: 0.5rem !important;
}
.part2-swiper .swiper-slide {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.part2-swiper .icon-box {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.part2-swiper .icon-box .bg {
  width: 5.56rem;
  height: 5.54rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/1.png") center/contain
    no-repeat;
}
.part2-swiper .icon-box .icon {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 0.22rem;
}
.part2-swiper .icon-box .icon .frame {
  position: relative;
  width: 2.39rem;
  height: 2.39rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/b_3.png")
    center/contain no-repeat;
}
.part2-swiper .icon-box .icon img {
  position: absolute;
  margin-top: 0.15rem;
  width: 1.05rem;
  height: 1.05rem;
}
.part2-swiper .desc-wrap {
  width: 14.07rem;
  height: 1.97rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/b_2.png") center/cover
    no-repeat;
  margin-top: -1.3rem;
  text-align: center;
  font-size: 16px;
}
.part2-swiper .desc-wrap .name {
  font-size: 0.3rem;
  font-weight: bold;
  color: #ffe08e;
  margin-top: 0.31rem;
}
.part2-swiper .desc-wrap .level {
  color: #30b248;
  margin-top: 0.15rem;
}
.part2-swiper .desc-wrap .class {
  color: #e77848;
  margin-top: 0.15rem;
}
.part2-swiper .desc-wrap .desc {
  color: #ffffff;
  margin-top: 0.15rem;
}
.part2-swiper .common-swiper-arrow {
  --arrow-offset: 4.17rem;
}

.part-3 {
  padding-bottom: 0.4rem;
  box-sizing: border-box;
}
.part-3 .part-content {
  position: relative;
  width: 9.89rem;
  height: 6.33rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/c_2.png") center/cover
    no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
}
.part-3  .bottom-tip {
  transform: translateY(0.5rem);
  margin-top: 0.2rem;
}
.part3-swiper {
  width: 8.72rem;
  height: 4.91rem;
  margin-top: 0.3rem;
}
.part3-swiper img {
  width: 8.72rem;
  height: 4.91rem;
  object-fit: cover;
}
.part-3 .common-swiper-arrow {
  --arrow-offset: -1.3rem;
  top: 40%;
}
.part-3 .common-swiper-pagination {
  bottom: -0.6rem !important;
}
.part-3 .desc-wrap {
  position: absolute;
  z-index: 2;
  bottom: -0.5rem;
  width: 11rem;
  height: 1.74rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/c_3.png")
    center/contain no-repeat;
  padding: 0.55rem 0 0 1.6rem;
  box-sizing: border-box;
}
.part-3 .desc-wrap .name {
  font-size: 30px;
  font-weight: bold;
  color: #ffe08e;
}
.part-3 .desc-wrap .desc {
  font-size: 16px;
  color: #ffffff;
  margin-top: 0.1rem;
}
.desc-wrap-fade-enter-active {
  transition: all 0.4s 0.2s ease-out;
}
.desc-wrap-fade-leave-active {
  transition: all 0.2s ease-out;
}
.desc-wrap-fade-enter {
  opacity: 0;
  transform: translateX(0.4rem);
}
.desc-wrap-fade-enter-to {
  opacity: 1;
}
.desc-wrap-fade-leave {
  opacity: 1;
}
.desc-wrap-fade-leave-to {
  opacity: 0;
  transform: translateX(-0.4rem);
}

.part-4 .part-content {
  width: 9.83rem;
  height: 5.68rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/d_3.png")
    center/contain no-repeat;
  margin-top: 0.2rem;

  display: flex;
}
.part-4 .part-content .left {
  width: 4.6rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}
.part-4 .left-list {
  width: 3.16rem;
  background: rgba(10, 12, 18, 0.6);
  border-radius: 0.05rem;
  border: solid 0.01rem #c99a57;
}
.part-4 .left-list .left-item {
  position: relative;
  display: flex;
  align-items: center;
  height: 1.36rem;
  padding-left: 0.26rem;
}
.part-4 .left-list .left-item:not(:last-child)::before {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  content: "";
  width: 3.05rem;
  height: 0.01rem;
  background-color: #504a3a;
}
.part-4 .left-item .left-icon {
  position: relative;
  width: 0.9rem;
  height: 0.9rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.part-4 .left-icon img {
  width: 0.7rem;
  height: 0.7rem;
}
.part-4 .left-icon .frame {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  background: url("https://img.youxi290.com/khm/zhjptmjs/d_2.png")
    center/contain no-repeat;
}
.part-4 .left-text {
  margin-left: 0.27rem;
}
.part-4 .left-text .name {
  color: #ffe08e;
}
.part-4 .left-text .desc {
  font-size: 0.14rem;
  color: #bfbfbf;
  margin-top: 0.05rem;
}
.part-4 .part-content .right {
  position: relative;
  padding: 0 0.5rem;
  box-sizing: border-box;
}
.part-4 .right-title {
  font-size: 24px;
  font-weight: bold;
  color: #ffe08e;
  text-align: center;
  margin-top: 0.26rem;
}
.part-4 .right-richtext {
  line-height: 29px;
  color: #d6d6d6;
  margin-top: 0.4rem;
}

.part5-swiper {
  width: 8.74rem;
  height: 5.04rem;
}
.part5-swiper .swiper-slide {
  width: 100%;
  height: 100% !important;
  display: flex;
}
.part-5 .common-swiper-arrow {
  --arrow-offset: -1.3rem;
  top: 40%;
}
.part-5 .common-swiper-pagination {
  bottom: -0.7rem !important;
  width: 100%;
}
.part-5 .part-content {
  position: relative;
  display: flex;
  margin-top: 0.4rem;
}
.part-5 .frame {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("https://img.youxi290.com/khm/zhjptmjs/e_5.png") center/cover
    no-repeat;
  pointer-events: none;
}
.part-5 .left {
  position: relative;
  width: 2.76rem;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
.part-5 .left img {
  width: 2.57rem;
  height: 4.73rem;
}
.part-5 .name {
  position: absolute;
  z-index: 1;
  bottom: 0.24rem;
  left: 0;
  width: 2.76rem;
  height: 0.59rem;
  line-height: 0.59rem;
  font-size: 24px;
  font-weight: bold;
  color: #ffffff;
  text-align: center;
}

.part-5 .right {
  flex: 1;
  position: relative;
  z-index: 1;

  color: #fff;
  padding: 0.9rem 0.53rem 0 0.3rem;
  box-sizing: border-box;

  display: grid;
  grid-template-rows: repeat(10, 0.36rem);
  grid-auto-flow: column;
}
.part-5 .right p {
  line-height: 0.36rem;
  border-bottom: 0.01rem dashed #4d4643;
}
.part-5 .right p::before {
  content: "";
  display: inline-block;
  width: 0.09rem;
  height: 0.08rem;
  background: url("https://img.youxi290.com/khm/zhjptmjs/e_1.png") center/cover
    no-repeat;
  margin-right: 0.12rem;
}
.part-5 .right p .red {
  color: #eb4c4c;
}
.part-5 .right p .green {
  color: #56d565;
}
.part-5 .right p:nth-of-type(10n) {
  border-bottom: none;
}
.part-5 .bottom-tip {
  transform: translateY(0.6rem);
  margin-top: 0.3rem;
}
